const ignoreList = [
  /^\/\.idea($|\/)/,
  /^\/\.vscode($|\/)/,

  /^\/\.nyc_output($|\/)/,
  /^\/database($|\/)/,
  /^\/database-backup($|\/)/,
  /^\/declarations($|\/)/,
  /^\/mocks($|\/)/,
  /^\/store($|\/)/,
  /^\/store-backup($|\/)/,
  /^\/templates($|\/)/,
  /^\/tests($|\/)/,
  /^\/workspace($|\/)/,

  /^\/\.editorconfig/,
  /^\/\.eslintignore/,
  /^\/\.eslintrc\.json/,
  /^\/\.gitignore/,
  /^\/\.mocharc\.yml/,
  /^\/\.nycrc\.yml/,
  /^\/\.prettierrc\.yml/,
  /^\/buildfile\.js/,
  /^\/CONTRIBUTING\.md/,
  /^\/forge\.config\.js/,
  /^\/package-lock\.json/,
  /^\/tsconfig\.json/,
  /^\/tslint\.json/,
  /^\/webpack\.config\.js/,

  /^\/node_modules\/\.cache($|\/)/,
  /^\/src\/.*\.(ts|js\.map)/,
  /^\/src\/.*tslint\.json/,
];

module.exports = {
  packagerConfig: {
    icon: 'resources/icon',
    ignore: ignoreList,
  },
  electronRebuildConfig: {
    force: true,
  },
  makers: [
    {
      name: '@electron-forge/maker-squirrel',
    },
  ],
};
